{
  "type": "excalidraw",
  "version": 2,
  "source": "https://marketplace.visualstudio.com/items?itemName=pomdtr.excalidraw-editor",
  "elements": [
    {
      "id": "OS-a2WcrBJz1FTP9HY-zR",
      "type": "rectangle",
      "x": 341.70263630952377,
      "y": 126.07738090476096,
      "width": 490.8333333333332,
      "height": 763.3333333333336,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a0",
      "roundness": {
        "type": 3
      },
      "seed": 214828801,
      "version": 250,
      "versionNonce": 1712760737,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096384,
      "link": null,
      "locked": false
    },
    {
      "id": "UthPPkMr7Ji7cp4LuVZMo",
      "type": "arrow",
      "x": 586.3792425637434,
      "y": 621.9544671205439,
      "width": 1.6367602370419263,
      "height": 584.5929469474474,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#f783ac",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a1",
      "roundness": null,
      "seed": 2119663329,
      "version": 134,
      "versionNonce": 700571375,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096384,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -1.6367602370419263,
          -584.5929469474474
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "3HNVp2q0otZ5US0jjp9sZ",
        "focus": 0,
        "gap": 10.19444444444406
      },
      "endBinding": {
        "elementId": "32B3c42EeUjlbbl1pnriL",
        "focus": 0.010273612051411831,
        "gap": 13.527777777777345
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "59fIyIz8JFbp0L1NN5yLc",
      "type": "rectangle",
      "x": 412.77752242063434,
      "y": 740.077381126984,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a2",
      "roundness": {
        "type": 3
      },
      "seed": 329710273,
      "version": 346,
      "versionNonce": 855837569,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "1r5FNfbH7D9S-7mztmz6J",
          "type": "text"
        },
        {
          "id": "vAq3O15GNlaMEMmsc3Z4j",
          "type": "arrow"
        }
      ],
      "updated": 1762098096384,
      "link": null,
      "locked": false
    },
    {
      "id": "1r5FNfbH7D9S-7mztmz6J",
      "type": "text",
      "x": 549.2130692956343,
      "y": 776.577381126984,
      "width": 74.62890625,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a3",
      "roundness": null,
      "seed": 1834744481,
      "version": 327,
      "versionNonce": 1361381857,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096420,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "59fIyIz8JFbp0L1NN5yLc",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "3HNVp2q0otZ5US0jjp9sZ",
      "type": "rectangle",
      "x": 412.77752242063434,
      "y": 625.077381126984,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a4",
      "roundness": {
        "type": 3
      },
      "seed": 1814429313,
      "version": 377,
      "versionNonce": 276296545,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "P6b2GW-NSIzbOY7ByzBy6",
          "type": "text"
        },
        {
          "id": "UthPPkMr7Ji7cp4LuVZMo",
          "type": "arrow"
        }
      ],
      "updated": 1762098096384,
      "link": null,
      "locked": false
    },
    {
      "id": "P6b2GW-NSIzbOY7ByzBy6",
      "type": "text",
      "x": 549.2130692956343,
      "y": 661.577381126984,
      "width": 74.62890625,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a5",
      "roundness": null,
      "seed": 784631393,
      "version": 363,
      "versionNonce": 1787504065,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096421,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "3HNVp2q0otZ5US0jjp9sZ",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "92wxjidGAbpYW49BV6Hnk",
      "type": "rectangle",
      "x": 412.77752242063434,
      "y": 510.07738112698405,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a6",
      "roundness": {
        "type": 3
      },
      "seed": 1342640705,
      "version": 359,
      "versionNonce": 1657069377,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "Fjk_Jq_5hXg23pdBI8DaO",
          "type": "text"
        }
      ],
      "updated": 1762098096384,
      "link": null,
      "locked": false
    },
    {
      "id": "Fjk_Jq_5hXg23pdBI8DaO",
      "type": "text",
      "x": 549.2130692956343,
      "y": 546.577381126984,
      "width": 74.62890625,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a7",
      "roundness": null,
      "seed": 1691165217,
      "version": 347,
      "versionNonce": 1283638689,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096424,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "92wxjidGAbpYW49BV6Hnk",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "x14kfW-NJgQ9rt3Ty7BlO",
      "type": "rectangle",
      "x": 412.77752242063434,
      "y": 395.07738112698405,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a8",
      "roundness": {
        "type": 3
      },
      "seed": 973485569,
      "version": 395,
      "versionNonce": 1481199393,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "UTQl6vbLtZbi5lwGuxvei",
          "type": "text"
        }
      ],
      "updated": 1762098096384,
      "link": null,
      "locked": false
    },
    {
      "id": "UTQl6vbLtZbi5lwGuxvei",
      "type": "text",
      "x": 549.2130692956343,
      "y": 431.57738112698405,
      "width": 74.62890625,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a9",
      "roundness": null,
      "seed": 1387384289,
      "version": 384,
      "versionNonce": 1916496257,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096425,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "x14kfW-NJgQ9rt3Ty7BlO",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "GpXtqzdMwKj4MVZh2VKzn",
      "type": "rectangle",
      "x": 412.77752242063434,
      "y": 280.07738112698405,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aA",
      "roundness": {
        "type": 3
      },
      "seed": 635398593,
      "version": 390,
      "versionNonce": 661963521,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "i6ljfkS2RhIe80Ia2e8XF",
          "type": "text"
        }
      ],
      "updated": 1762098096384,
      "link": null,
      "locked": false
    },
    {
      "id": "i6ljfkS2RhIe80Ia2e8XF",
      "type": "text",
      "x": 549.2130692956343,
      "y": 316.57738112698405,
      "width": 74.62890625,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aB",
      "roundness": null,
      "seed": 481200545,
      "version": 379,
      "versionNonce": 1156878689,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096426,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "GpXtqzdMwKj4MVZh2VKzn",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "n6L44wUjNsIzx8Mw5E9ZE",
      "type": "rectangle",
      "x": 412.77752242063434,
      "y": 165.07738112698405,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aC",
      "roundness": {
        "type": 3
      },
      "seed": 1347333505,
      "version": 428,
      "versionNonce": 214350561,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "bEIiDIw-9lO18lH8nqpey"
        }
      ],
      "updated": 1762098096384,
      "link": null,
      "locked": false
    },
    {
      "id": "bEIiDIw-9lO18lH8nqpey",
      "type": "text",
      "x": 549.2130692956343,
      "y": 201.57738112698405,
      "width": 74.62890625,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aD",
      "roundness": null,
      "seed": 134174049,
      "version": 417,
      "versionNonce": 1509801281,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096426,
      "link": null,
      "locked": false,
      "text": "Decoder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "n6L44wUjNsIzx8Mw5E9ZE",
      "originalText": "Decoder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "AEcXow7olXvFZwh-Ah0Z1",
      "type": "rectangle",
      "x": 412.77752242063434,
      "y": 943.077381126984,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#f08c00",
      "backgroundColor": "#ffec99",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aE",
      "roundness": {
        "type": 3
      },
      "seed": 1997537601,
      "version": 277,
      "versionNonce": 147764929,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "IJ4hG2O2ePoyvLjBO08Nq",
          "type": "text"
        },
        {
          "id": "E-okphY67K4hHeAZk5ZN-",
          "type": "arrow"
        },
        {
          "id": "vAq3O15GNlaMEMmsc3Z4j",
          "type": "arrow"
        }
      ],
      "updated": 1762098096384,
      "link": null,
      "locked": false
    },
    {
      "id": "IJ4hG2O2ePoyvLjBO08Nq",
      "type": "text",
      "x": 541.2638505456343,
      "y": 979.577381126984,
      "width": 90.52734375,
      "height": 25,
      "angle": 0,
      "strokeColor": "#f08c00",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aF",
      "roundness": null,
      "seed": 987771169,
      "version": 264,
      "versionNonce": 1891003681,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096427,
      "link": null,
      "locked": false,
      "text": "Embedder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "AEcXow7olXvFZwh-Ah0Z1",
      "originalText": "Embedder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "32B3c42EeUjlbbl1pnriL",
      "type": "rectangle",
      "x": 412.77752242063434,
      "y": -64.92261887301595,
      "width": 347.5,
      "height": 97.99999999999997,
      "angle": 0,
      "strokeColor": "#c2255c",
      "backgroundColor": "#f783ac",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aG",
      "roundness": {
        "type": 3
      },
      "seed": 417293569,
      "version": 370,
      "versionNonce": 1579955873,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "IOswRPpwhi_7bVQ4t8TKY",
          "type": "text"
        },
        {
          "id": "UthPPkMr7Ji7cp4LuVZMo",
          "type": "arrow"
        },
        {
          "id": "ePnPo5WkT1vvCSi6vko8-",
          "type": "arrow"
        }
      ],
      "updated": 1762098096384,
      "link": null,
      "locked": false
    },
    {
      "id": "IOswRPpwhi_7bVQ4t8TKY",
      "type": "text",
      "x": 525.0236161706343,
      "y": -28.422618873015963,
      "width": 123.0078125,
      "height": 25,
      "angle": 0,
      "strokeColor": "#c2255c",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aH",
      "roundness": null,
      "seed": 2089622753,
      "version": 356,
      "versionNonce": 814620929,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096427,
      "link": null,
      "locked": false,
      "text": "De-Embedder",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "32B3c42EeUjlbbl1pnriL",
      "originalText": "De-Embedder",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "E--iU9FjmuDh3nn3LbPvN",
      "type": "ellipse",
      "x": 542.0275221349202,
      "y": 1129.0773811269842,
      "width": 89,
      "height": 89,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#4dabf7",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aI",
      "roundness": {
        "type": 2
      },
      "seed": 897112257,
      "version": 222,
      "versionNonce": 1334753921,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "E-okphY67K4hHeAZk5ZN-",
          "type": "arrow"
        },
        {
          "id": "LkpM5tupfcXMkQLwvdiGz",
          "type": "arrow"
        }
      ],
      "updated": 1762098096384,
      "link": null,
      "locked": false
    },
    {
      "id": "E-okphY67K4hHeAZk5ZN-",
      "type": "arrow",
      "x": 586.4275221349203,
      "y": 1124.0773811269842,
      "width": 2.857141225831583e-7,
      "height": 78,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#f783ac",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aJ",
      "roundness": null,
      "seed": 1967265953,
      "version": 21,
      "versionNonce": 1102113295,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096384,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          2.857141225831583e-7,
          -78
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "E--iU9FjmuDh3nn3LbPvN",
        "fixedPoint": [
          0.49887640449438303,
          -0.056179775280898875
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "AEcXow7olXvFZwh-Ah0Z1",
        "fixedPoint": [
          0.4997122302158276,
          1.0510204081632657
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "vAq3O15GNlaMEMmsc3Z4j",
      "type": "arrow",
      "x": 586.4275224206344,
      "y": 938.077381126984,
      "width": 0,
      "height": 95,
      "angle": 0,
      "strokeColor": "#f08c00",
      "backgroundColor": "#f783ac",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aK",
      "roundness": null,
      "seed": 228088961,
      "version": 16,
      "versionNonce": 498451041,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096384,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -95
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "AEcXow7olXvFZwh-Ah0Z1",
        "fixedPoint": [
          0.4997122302158276,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "59fIyIz8JFbp0L1NN5yLc",
        "fixedPoint": [
          0.4997122302158276,
          1.0510204081632657
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "1G0d67vfo0ytWmo6Sny3w",
      "type": "ellipse",
      "x": 541.3750171349202,
      "y": -246.92261887301595,
      "width": 89,
      "height": 89,
      "angle": 0,
      "strokeColor": "#e8590c",
      "backgroundColor": "#fd7e14",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aL",
      "roundness": {
        "type": 2
      },
      "seed": 1849369697,
      "version": 290,
      "versionNonce": 323407919,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "E-okphY67K4hHeAZk5ZN-",
          "type": "arrow"
        },
        {
          "id": "LkpM5tupfcXMkQLwvdiGz",
          "type": "arrow"
        },
        {
          "id": "ePnPo5WkT1vvCSi6vko8-",
          "type": "arrow"
        }
      ],
      "updated": 1762098096384,
      "link": null,
      "locked": false
    },
    {
      "id": "ePnPo5WkT1vvCSi6vko8-",
      "type": "arrow",
      "x": 586.4275224206344,
      "y": -69.92261887301595,
      "width": 0.6525052857141418,
      "height": 83,
      "angle": 0,
      "strokeColor": "#c2255c",
      "backgroundColor": "#fd7e14",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aM",
      "roundness": null,
      "seed": 1660547137,
      "version": 27,
      "versionNonce": 1165020737,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096384,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -0.6525052857141418,
          -83
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "32B3c42EeUjlbbl1pnriL",
        "fixedPoint": [
          0.4997122302158276,
          -0.05102040816326532
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "1G0d67vfo0ytWmo6Sny3w",
        "fixedPoint": [
          0.49887640449438303,
          1.0561797752808988
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "Bw3F2RDRLGQhINe-Jk1mh",
      "type": "text",
      "x": 530.8005976904763,
      "y": 1242.450397,
      "width": 110,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aN",
      "roundness": null,
      "seed": 297025569,
      "version": 68,
      "versionNonce": 561705551,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096384,
      "link": null,
      "locked": false,
      "text": "Decoder In",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Decoder In",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "T2GzVTUqesteQ5qjbt9bE",
      "type": "text",
      "x": 501.27317669047625,
      "y": -294.45039700000007,
      "width": 165,
      "height": 25,
      "angle": 0,
      "strokeColor": "#e8590c",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aO",
      "roundness": null,
      "seed": 945394689,
      "version": 25,
      "versionNonce": 2107596321,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096384,
      "link": null,
      "locked": false,
      "text": "Transformer Out",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Transformer Out",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "LkpM5tupfcXMkQLwvdiGz",
      "type": "arrow",
      "x": 639.5473636904762,
      "y": -210.04960300000005,
      "width": 337.269841555556,
      "height": 1383.5269841269842,
      "angle": 0,
      "strokeColor": "#e8590c",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aP",
      "roundness": null,
      "seed": 719940577,
      "version": 149,
      "versionNonce": 891670639,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "Db7rwQhUYCRhXSJ2MjA7X"
        }
      ],
      "updated": 1762098096384,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          333.75,
          0
        ],
        [
          333.75,
          1383.5269841269842
        ],
        [
          -3.519841555556013,
          1383.5269841269842
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "1G0d67vfo0ytWmo6Sny3w",
        "fixedPoint": [
          1.103060073657933,
          0.4143035491350101
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "E--iU9FjmuDh3nn3LbPvN",
        "fixedPoint": [
          1.0561797752808988,
          0.49887640449438303
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            333.75,
            0
          ],
          "end": [
            333.75,
            1383.5269841269842
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "Db7rwQhUYCRhXSJ2MjA7X",
      "type": "text",
      "x": 903.3022465029762,
      "y": 456.71388906349205,
      "width": 139.990234375,
      "height": 50,
      "angle": 0,
      "strokeColor": "#e8590c",
      "backgroundColor": "#fa5252",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aQ",
      "roundness": null,
      "seed": 292767681,
      "version": 46,
      "versionNonce": 654596321,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762098096428,
      "link": null,
      "locked": false,
      "text": "Append\n(Inference Only)",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "LkpM5tupfcXMkQLwvdiGz",
      "originalText": "Append\n(Inference Only)",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "8yWNpq31tI0mAQk2zQD9R",
      "type": "text",
      "x": 412.1732827619047,
      "y": -419.2956353333333,
      "width": 343.19978841145826,
      "height": 64.99999999999999,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aR",
      "roundness": null,
      "seed": 689138703,
      "version": 46,
      "versionNonce": 2089824897,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762098118700,
      "link": null,
      "locked": false,
      "text": "Decoder Only",
      "fontSize": 51.99999999999998,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Decoder Only",
      "autoResize": true,
      "lineHeight": 1.25
    }
  ],
  "appState": {
    "gridSize": 20,
    "gridStep": 5,
    "gridModeEnabled": false,
    "viewBackgroundColor": "#ffffff"
  },
  "files": {}
}